## ros-kinetic-swri-route-util 2.14.2

=== debian/changelog ===
ros-kinetic-swri-route-util (2.14.2-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 09 Sep 2020 00:00:00 -0000

ros-kinetic-swri-route-util (2.14.1-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 18 Aug 2020 00:00:00 -0000

ros-kinetic-swri-route-util (2.14.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 15 Jul 2020 00:00:00 -0000

ros-kinetic-swri-route-util (2.13.7-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 26 Jun 2020 00:00:00 -0000

ros-kinetic-swri-route-util (2.13.6-1xenial) xenial; urgency=high

  * Update catkin dependencies (#588 <https://github.com/swri-robotics/marti_common/issues/588>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Wed, 17 Jun 2020 00:00:00 -0000

ros-kinetic-swri-route-util (2.13.5-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 17 Jun 2020 00:00:00 -0000

ros-kinetic-swri-route-util (2.13.4-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 16 Jun 2020 00:00:00 -0000

ros-kinetic-swri-route-util (2.13.3-1xenial) xenial; urgency=high

  * Use setuptools instead of distutils
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Fri, 12 Jun 2020 00:00:00 -0000

ros-kinetic-swri-route-util (2.13.2-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 10 Jun 2020 00:00:00 -0000

ros-kinetic-swri-route-util (2.13.1-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 21 May 2020 00:00:00 -0000

ros-kinetic-swri-route-util (2.13.0-1xenial) xenial; urgency=high

  * Add overload of generateObstacleData for tracked objects (#578 <https://github.com/swri-robotics/marti_common/issues/578>)
  * Contributors: Matthew Bries <mailto:matthew.bries@swri.org>

 -- Marc Alban <malban@swri.org>  Wed, 13 May 2020 00:00:00 -0000

ros-kinetic-swri-route-util (2.12.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 25 Mar 2020 00:00:00 -0000

ros-kinetic-swri-route-util (2.11.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 13 Nov 2019 00:00:00 -0000

ros-kinetic-swri-route-util (2.10.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 04 Sep 2019 00:00:00 -0000

ros-kinetic-swri-route-util (2.9.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 23 May 2019 00:00:00 -0000

ros-kinetic-swri-route-util (2.8.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 06 Feb 2019 00:00:00 -0000

ros-kinetic-swri-route-util (2.7.3-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 03 Jan 2019 00:00:00 -0000

ros-kinetic-swri-route-util (2.7.2-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 20 Dec 2018 00:00:00 -0000

ros-kinetic-swri-route-util (2.7.1-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 14 Dec 2018 00:00:00 -0000

ros-kinetic-swri-route-util (2.7.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 04 Dec 2018 00:00:00 -0000

ros-kinetic-swri-route-util (2.6.0-1xenial) xenial; urgency=high

  * Remove incorrect translation of object geometry (#527 <https://github.com/swri-robotics/marti_common/issues/527>)
  * Contributors: agyoungs

 -- Marc Alban <malban@swri.org>  Sat, 03 Nov 2018 00:00:00 -0000

ros-kinetic-swri-route-util (2.5.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 12 Oct 2018 00:00:00 -0000

ros-kinetic-swri-route-util (2.4.0-1xenial) xenial; urgency=high

  * Update package maintainers (#520 <https://github.com/swri-robotics/marti_common/issues/520>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Tue, 09 Oct 2018 00:00:00 -0000

ros-kinetic-swri-route-util (2.3.0-1xenial) xenial; urgency=high

  * Fill in route id of route positions when possible. (#517 <https://github.com/swri-robotics/marti_common/issues/517>)
  * Contributors: Marc Alban

 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 25 May 2018 00:00:00 -0000

ros-kinetic-swri-route-util (2.2.1-1xenial) xenial; urgency=high

  * Catch and fix NaNs in the fillOrientations function (#513 <https://github.com/swri-robotics/marti_common/issues/513>)
  * Contributors: kriskozak

 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 11 May 2018 00:00:00 -0000

ros-kinetic-swri-route-util (2.2.0-1xenial) xenial; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Mon, 12 Feb 2018 00:00:00 -0000

ros-kinetic-swri-route-util (2.1.0-1xenial) xenial; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 26 Jan 2018 00:00:00 -0000

ros-kinetic-swri-route-util (2.0.0-1xenial) xenial; urgency=high

  * Accept '1' or 'true' for stop points. (#489 <https://github.com/swri-robotics/marti_common/issues/489>)
  * Contributors: Marc Alban

 -- Elliot Johnson <elliot.johnson@swri.org>  Mon, 18 Dec 2017 00:00:00 -0000

ros-kinetic-swri-route-util (1.2.0-1xenial) xenial; urgency=high

  * Add support for vehicle_width_override property on route (#485 <https://github.com/swri-robotics/marti_common/issues/485>)
  * Add bounds checking to extractSubroute. (#486 <https://github.com/swri-robotics/marti_common/issues/486>)
  * Contributors: Marc Alban, Matthew Bries

 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 13 Oct 2017 00:00:00 -0000

ros-kinetic-swri-route-util (1.1.0-1xenial) xenial; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Thu, 31 Aug 2017 00:00:00 -0000

ros-kinetic-swri-route-util (1.0.0-1xenial) xenial; urgency=high

  * Add route speed functions (#466 <https://github.com/swri-robotics/marti_common/issues/466>)
    * Add visualization function for swri_route_util.
    * Add code to calculate max speeds based on curvature to swri_route_util.
    * Add speed/obstacle functionality to swri_route_util.
  * Add extractSubroute function.
  * Contributors: Elliot Johnson, elliotjo


